Bug 1118253 - [Neutron] Decent default values in external network provider dialog
Summary: [Neutron] Decent default values in external network provider dialog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: 3.5.0
Assignee: Eliraz Levi
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 09:59 UTC by Martin Pavlik
Modified: 2016-02-10 19:36 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:44:42 UTC
oVirt Team: Network


Attachments (Terms of Use)
screenshot1 (19.66 KB, image/png)
2014-07-10 09:59 UTC, Martin Pavlik
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31763 master MERGED webadmin: set default plugin for provider Never
oVirt gerrit 31873 ovirt-engine-3.5 MERGED webadmin: set default plugin for provider Never

Description Martin Pavlik 2014-07-10 09:59:01 UTC
Created attachment 917035 [details]
screenshot1

Description of problem:
now when OVS plugin is the only one that we have for neutron it could be pre-selected in add provider dialog

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.5.0-0.0.master.20140629172257.git0b16ed7.el6 

How reproducible:
100%

Steps to Reproduce:
1.in left hand tree select external providers
2.click add
3.in Type drop down select OpenStack Network

Actual results:
Network Plugin Field is empty

Expected results:
Network Plugin filled with Open vSwitch selection

Additional info:

Comment 1 Moti Asayag 2014-08-20 15:08:29 UTC
The default values for the external network provider should be:
'Open vSwitch' for the network plugin on the main dialog tab.
'RabbitMQ' for the broker type on the 'Agent configuration' left tab.

Comment 2 Michael Burman 2014-09-09 08:11:29 UTC
Verified on - 3.5.0-0.10.master.el6ev

Comment 3 Martin Pavlik 2014-09-12 07:03:40 UTC
verified  Red Hat Enterprise Virtualization Manager Version: 3.5.0-0.11.beta.el6ev

Comment 4 Sandro Bonazzola 2014-10-17 12:44:42 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.